<!doctype html>

<html lang="fr">
  <head>
    <title>techUnit</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="techUnit website">
    <meta name="author" content="techUnit">
    <meta property="og:title" content="techUnit website">
    <meta property="og:type" content="website">
    <meta property="og:description" content="techUnit website to present the teams">
    <link rel="icon" href="/logo-tu-v1-org.svg" type="image/svg+xml">
    <link rel="stylesheet" href="./style.css">
    <link rel="stylesheet" type="text/css" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" />
  </head>

  <body>
    <nav id="menu">
      <ul>
        <li><a href="#home">Accueil</a></li>
        <li><a href="#webSites" target="_blank">Sites web</a></li>
        <li><a href="#sourceCodes" target="_blank">Codes sources</a></li>
        <li><a href="https://wiki.techunit.org" target="_blank">Wiki</a></li>
        <li><a href="https://discord.gg/Y8pZqPaxRc" target="_blank">Nous rejoindre</a></li>
        <li><input class="switch" type="checkbox" name="" v-model="isLightTheme" @change="setDarkTheme($event)"></li>
      </ul>
    </nav>
    <div id="page">
      <pre>
        <i>Découvrir, apprendre, partiquer puis partager</i>
        
        <b>techUnit</b> a pour vocation d’être une organisation sans but lucratif, destinée à ceux qui veulent aller au-delà de leur connaissances et étudier les dernières technologies ensemble.
        Il est essentiel pour nous de savoir échanger et confronter nos idées pour en tirer le meilleur aux travers de différents projets
      </pre>
      <div class="projects" id="git-projects">
        <div v-for="group in groups">
          <img :src="group.image" :alt="group.text">
          <div>
            <h5><a :href="group.url" target="_blank" class="btn btn-primary">{{group.text}}</a></h5>
            <i>{{group.description}}</i>
            <div>
              <hr/>
              <ol>
                <li v-for="project in group.projects"><a :href="project.url" target="_blank">{{project.name}}</a></li>
              </ol>
            </div>
          </div>
        </div>
      </div>
      <div class="projects" id="web-projects">
        <div v-for="site in sites">
          <img :src="site.image" :alt="site.text">
          <div>
            <h5><a :href="site.url" target="_blank" class="btn btn-primary">{{site.text}}</a></h5>
            <i>{{site.description}}</i>
          </div>
        </div>
      </div>
    </div>

    <div id="histo-timeline" class="timeline">
      <div class="detail-timeline" v-for="eventDate in eventDates">
        <div>
          <div>
            {{eventDate.date}}<br>
            <b>{{eventDate.title}}</b>
            <pre style="word-break: break-word;white-space: pre-wrap;">{{eventDate.details}}</pre>
          </div>
        </div>
      </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2"></script>
    <script src="./script.js"></script>
  </body>
</html>